{% extends 'template/bootstrap_form_base.html.twig' %}

{% block title %}Demonstrator Application - {{ parent() }}{% endblock %}

{% block body %}
    <div class="container">
        <div class="box">
            {% if shareKey is not null %}
                <div style="margin-top: 4em;">
                    <h3>Your personal demonstrating calendar</h3>
                    {% set calendarUrl = url('api-demonstrator-calendar', {'shareKey': shareKey}) %}
                    <a href="{{ calendarUrl }}" target="_blank">
                        <code>{{ calendarUrl }}</code>
                    </a>
                </div>

                <div style="margin-top: 4em;">
                    <h3>Lab session you are assigned to</h3>
                    {% for lab in assignedLabs %}
                        <div>{{ lab.moduleFlavour.flavour }} - {{ lab.start.format('Y-m-d H:i') }} - {{ lab.duration.h }} hours</div>
                    {% endfor %}
                </div>
            {% else %}
                You have not been selected as a demonstrator yet.
            {% endif %}
        </div>
    </div>
{% endblock %}
